# Enum Class ConstantThroughputTimer.Mode

java.lang.Object
java.lang.Enum<ConstantThroughputTimer.Mode>
org.apache.jmeter.timers.ConstantThroughputTimer.Mode

All Implemented Interfaces:
  `Serializable, Comparable<ConstantThroughputTimer.Mode>, Constable`

Enclosing class:
  `ConstantThroughputTimer`

public static enum ConstantThroughputTimer.Mode extends Enum<ConstantThroughputTimer.Mode>
This enum defines the calculation modes used by the ConstantThroughputTimer.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AllActiveThreads`
`AllActiveThreads_Shared`
`AllActiveThreadsInCurrentThreadGroup`
`AllActiveThreadsInCurrentThreadGroup_Shared`
`ThisThreadOnly`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static ConstantThroughputTimer.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConstantThroughputTimer.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ThisThreadOnly

public static final ConstantThroughputTimer.Mode ThisThreadOnly

### AllActiveThreads

public static final ConstantThroughputTimer.Mode AllActiveThreads

### AllActiveThreadsInCurrentThreadGroup

public static final ConstantThroughputTimer.Mode AllActiveThreadsInCurrentThreadGroup

### AllActiveThreads_Shared

public static final ConstantThroughputTimer.Mode AllActiveThreads_Shared

### AllActiveThreadsInCurrentThreadGroup_Shared

public static final ConstantThroughputTimer.Mode AllActiveThreadsInCurrentThreadGroup_Shared

## Method Details

### values

public static ConstantThroughputTimer.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConstantThroughputTimer.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ConstantThroughputTimer.Mode>`